From 7f2c4cac59b460e71f1b4a3a498b144cdab6f47a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Thu, 26 Jul 2012 22:24:27 -0300
Subject: [PATCH 1/4] src/misc: added compile time detection code for NEON on
 non-Linux platforms

---
 src/misc/cpu.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/src/misc/cpu.c b/src/misc/cpu.c
index 2442d80..9f605ec 100644
--- a/src/misc/cpu.c
+++ b/src/misc/cpu.c
@@ -313,6 +313,10 @@ out:
 
 #   endif
 
+#elif defined ( __arm__)
+    #ifdef __ARM_NEON__
+        i_capabilities |= CPU_CAPABILITY_NEON;
+    #endif
 #endif
 
     cpu_flags = i_capabilities;
-- 
1.7.7.5 (Apple Git-26)

